﻿Module GlobalsValidation


    Public Function JeCeleCislo(ByRef e As DataGridViewCellValidatingEventArgs, ByRef dgv As DataGridView) As Boolean

        If e.FormattedValue.ToString().Length = 0 Then
            dgv.Rows(e.RowIndex).ErrorText = "Povinný údaj"
            Return False
        ElseIf Not Integer.TryParse(e.FormattedValue.ToString(), New Integer()) Then
            dgv.Rows(e.RowIndex).ErrorText = "Zadejte celé číslo"
            Return False
        End If
        Return True
    End Function


    Public Function JeCeleCisloAllowNull(ByRef e As DataGridViewCellValidatingEventArgs, ByRef dgv As DataGridView) As Boolean
        If e.FormattedValue.ToString() = "" Then
            Return True
        End If

        If Not Integer.TryParse(e.FormattedValue.ToString(), New Integer()) Then
            dgv.Rows(e.RowIndex).ErrorText = "Uveďte celé číslo nebo nechte buňku prázdnou"
            Return False
        End If
        Return True
    End Function

    Public Function JeCokoliv(ByRef e As DataGridViewCellValidatingEventArgs, ByRef dgv As DataGridView) As Boolean
        If e.FormattedValue.ToString() = "" Then
            dgv.Rows(e.RowIndex).ErrorText = "Povinný údaj"
            Return False
        Else
            Return True
        End If

    End Function

    Public Function JeCas(ByRef e As DataGridViewCellValidatingEventArgs, ByRef dgv As DataGridView) As Boolean

        If e.FormattedValue.ToString.Length = 0 OrElse Not TimeSpan.TryParse(e.FormattedValue.ToString(), New TimeSpan()) Then

            dgv.Rows(e.RowIndex).ErrorText = "Zadejte časový údaj"
            Return False
        Else
            Return True
        End If

    End Function

    Public Function JeDateTime(ByRef e As DataGridViewCellValidatingEventArgs, ByRef dgv As DataGridView) As Boolean

        If e.FormattedValue.ToString.Length = 0 OrElse Not Date.TryParse(e.FormattedValue.ToString(), New Date()) Then

            dgv.Rows(e.RowIndex).ErrorText = "Zadejte datum"
            Return False
        Else
            Return True
        End If

    End Function


    Public Function JeCasAllowNull(ByRef e As DataGridViewCellValidatingEventArgs, ByRef dgv As DataGridView) As Boolean


        If e.FormattedValue.ToString() = "" Then
            Return True
        End If

        If Not TimeSpan.TryParse(e.FormattedValue.ToString(), New TimeSpan()) Then

            dgv.Rows(e.RowIndex).ErrorText = "Zadejte časový údaj"
            Return False
        Else
            Return True
        End If

    End Function

    Public Sub JeCokolivControl(sender As Object, e As System.ComponentModel.CancelEventArgs, ep As ErrorProvider)
        ep.SetError(sender, "")

        If sender.Text = "" Then
            ep.SetError(sender, "Povinný údaj")
            e.Cancel = True
        End If

    End Sub

    Public Sub JeCeleCisloControl(sender As Object, e As System.ComponentModel.CancelEventArgs, ep As ErrorProvider)
        ep.SetError(sender, "")


        If sender.Text.Length = 0 Then
            ep.SetError(sender, "Povinný údaj")
            e.Cancel = True
        ElseIf Not Integer.TryParse(sender.Text, New Integer()) Then
            ep.SetError(sender, "Zadejte celé číslo")
            e.Cancel = True
        End If

    End Sub

End Module
